E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
GAuth::SaslClientSecrets Class Referenceabstract

An interface used by GAuth::SaslClient to obtain a client id and its authentication secret. More...

`#include <gsaslclientsecrets.h>`

Inheritance diagram for GAuth::SaslClientSecrets:

## Public Member Functions
virtual Secret | clientSecret (const std::string &encoding_type) const =0
| Returns the client secret for the given encoding type. More...
Public Member Functions inherited from GAuth::Valid
virtual bool | valid () const =0
| Returns true if a valid source of information.
virtual | ~Valid ()
| Destructor.

## Protected Member Functions
virtual | ~SaslClientSecrets ()
| Destructor.

## Detailed Description

An interface used by GAuth::SaslClient to obtain a client id and its authentication secret.

Conceptually there is one client and they can have a secrets encoded in multiple ways.

Definition at line 38 of file gsaslclientsecrets.h.

## Member Function Documentation

virtual Secret GAuth::SaslClientSecrets::clientSecret | ( | const std::string & | encoding_type | ) | const
| pure virtual

Returns the client secret for the given encoding type.

Returns an invalid secret if none.

Implemented in GAuth::Secrets.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gauth/gsaslclientsecrets.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gauth/gsaslclientsecrets.cpp